Summary: oVirt 4.5 packages from the CentOS Virtualization SIG repository
Name: centos-release-ovirt45
Version: 1.0
Release: 0.4%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Virtualization
Source0: CentOS-oVirt-4.5.repo
Source1: COPYING
Source2: RPM-GPG-KEY-oVirt-4.5

BuildArch: noarch

Requires: centos-release
Requires: centos-release-ceph-pacific
Requires: centos-release-nfv-openvswitch
Requires: centos-release-opstools
Requires: centos-release-virt-common
# Requiring xena until we'll have the missing yoga dependencies within yoga repository.
Requires: centos-release-openstack-xena
# Missing gluster release package for Gluster 10

Requires(post): python3-dnf-plugins-core

%description
Configuration and basic docs for oVirt 4.5 packages as delivered via the
CentOS Virtualization SIG.


%prep
cp %{SOURCE1} .


%build
# nothing to build

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/


%post
# Ensuring powertools repository is enabled
dnf config-manager --set-enabled powertools


%files
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-oVirt-4.5
%license COPYING

%changelog
* Tue Mar 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.4
- Add oVirt upstream repositories for packages which couldn't build within CBS.

* Mon Feb 21 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.3
- Exclude ansible from Yoga repo as it breaks oVirt deps

* Fri Feb 04 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.2
- Ensure powertools repo is enabled

* Tue Feb 01 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-0.1
- Initial pre-release packaging
